KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataDocument Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDocument,Marble.GeoDataContainer → Marble.GeoDataFeature → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

A container for Features, Styles and in the future Schemas.

A GeoDataDocument is a container for features, styles, and schemas. This element is required if your KML file uses schemas or shared styles. It is recommended that all Styles be defined in a Document, each with an id, and then later referenced by a styleUrl for a given Feature or StyleMap.

## Methods
| __init__ (self, Marble.GeoDataObject parent=0)
| __init__ (self, Marble.GeoDataDocument a0)
| addStyle (self, Marble.GeoDataStyle style)
| addStyleMap (self, Marble.GeoDataStyleMap map)
EnumFeatureId | featureId (self)
bool | isGeoDataDocument (self)
| pack (self, QDataStream stream)
| removeStyle (self, Marble.GeoDataStyle style)
| removeStyleMap (self, Marble.GeoDataStyleMap map)
Marble.GeoDataStyle | style (self, QString styleId)
Marble.GeoDataStyleMap | styleMap (self, QString styleId)
[Marble::GeoDataStyleMa] | styleMaps (self)
[Marble::GeoDataStyl] | styles (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataDocument | a0
| ) |  |  |

addStyle | ( | self, |
|  | Marble.GeoDataStyle | style
| ) |  |  |

Add a style to the style storage

Parameters:

  | style | the new style

addStyleMap | ( | self, |
|  | Marble.GeoDataStyleMap | map
| ) |  |  |

Add a stylemap to the stylemap storage

Parameters:

  | map | the new stylemap

EnumFeatureId featureId | ( |  | self ) |

bool isGeoDataDocument | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

removeStyle | ( | self, |
|  | Marble.GeoDataStyle | style
| ) |  |  |

Add a style to the style storage

Parameters:

  | style | the new style

removeStyleMap | ( | self, |
|  | Marble.GeoDataStyleMap | map
| ) |  |  |

remove stylemap from storage

Parameters:

  | map | the styleMap to be removed

Marble.GeoDataStyle style | ( | self, |
|  | QString | styleId
| ) |  |  |

Return a style in the style storage

Parameters:

  | styleId | the id of the style

Marble.GeoDataStyleMap styleMap | ( | self, |
|  | QString | styleId
| ) |  |  |

Return a style in the style storage

Parameters:

  | styleId | the id of the style

[Marble::GeoDataStyleMa] styleMaps | ( |  | self ) |

dump a Vector of all styles

[Marble::GeoDataStyl] styles | ( |  | self ) |

dump a Vector of all styles

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |